Create checklist entry
curl --request POST \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/checklist/entry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"note": "<string>",
"checkmark": true
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/checklist/entry"
payload = {
"title": "<string>",
"note": "<string>",
"checkmark": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', note: '<string>', checkmark: true})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/checklist/entry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"title": "<string>",
"checkmark": true,
"note": "<string>",
"checkDate": "2025-10-07T10:24:41.143Z",
"uncheckDate": "2025-10-07T10:24:41.143Z"
}Checklist
Create checklist entry
Create a checklist entry for a vehicle
POST
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
checklist
/
entry
Create checklist entry
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Asset provider country code
Required string length:
2Asset provider code
Required string length:
3Id of vehicle
Body
application/json
The request body contains the checklist entry that should be created
Response
Created checklist entry
Title of checklist entry
Indicator of checklist entry inspection status
Content of checklist entry
Most recent timestamp of checkmark checking action
Example:
"2025-10-07T10:24:41.143Z"
Most recent timestamp of checkmark unchecking action
Example:
"2025-10-07T10:24:41.143Z"
⌘I

